#include <iostream>
#include <vector>

class ISS
{
    double beta;
    double yaw;
    double maxFront, maxBack;
    double maxFront2, maxBack2;
    bool inverted;
    bool unknown;
    bool correction;
    double ssarj_diff;
    double psarj_diff;
public:
    double getInitialOrientation(double beta) {
        this->beta = beta;
        inverted = beta < 0;
        correction = false;
        unknown = false;
        ssarj_diff = 0;
        psarj_diff = 0;
        switch ((int) beta) {
        case 75:
            maxBack2 = -16.5; maxFront2 = 10.9;
            psarj_diff = 180;
            maxBack = 18.3; maxFront = -7.9;
            break;
        case 74:
            maxBack2 = -18; maxFront2 = 4;
            psarj_diff = 180;
            maxBack = 21.1; maxFront = -0.1;
            break;
        case 73:
            maxBack2 = -20.3; maxFront2 = -5;
            psarj_diff = 180;
            maxBack = 20; maxFront = 11.3;
            break;
        case 72:
            maxBack = -18; maxFront = -18;
            maxBack2 = -18; maxFront2 = -18;
            break;
        case 71:
            maxBack = -19; maxFront = -19;
            maxBack2 = -19; maxFront2 = -19;
            break;
        case 70:
            maxBack = -20; maxFront = -20;
            maxBack2 = -20; maxFront2 = -20;
            break;
        case -75:
            maxBack = 21.1; maxFront = -9.2;
            maxBack2 = 21.1; maxFront2 = -9.2;
            break;
        case -74:
            maxBack = 20.1; maxFront = -2.1;
            maxBack2 = 20.1; maxFront2 = -2.1;
            break;
        case -73:
            maxBack = 21.1; maxFront = 7.8;
            maxBack2 = 21.1; maxFront2 = 7.8;
            break;
        case -72:
            maxBack = 18; maxFront = 18;
            maxBack2 = 18; maxFront2 = 18;
            break;
        case -71:
            maxBack = 19; maxFront = 19;
            maxBack2 = 19; maxFront2 = 19;
            break;
        case -70:
            maxBack2 = 18; maxFront2 = 21;
            maxBack = -18.3; maxFront = -20.4;
            ssarj_diff = 178;
            break;
        default:
            maxFront = 0; maxBack = 0;
            unknown = true;
            break;
        }
        this->yaw = 0;
        return this->yaw;
    }
    std::vector<double> getStateAtMinute(int minute) {
        std::vector<double> ret(20);
        ret[0] = minute * (360.0 / 92.0) + ssarj_diff ;
        ret[1] = 0;
        ret[2] = 360.0 - minute * (360.0 / 92.0) + psarj_diff ;
        ret[3] = 0;
        ret[4] = (inverted ? 180 - maxBack : 360 - maxFront2);
        ret[5] = 0;
        ret[6] = (inverted ? 360 + maxFront2 : 180 + maxBack);
        ret[7] = 0;
        ret[8] = (inverted ? 180 + maxBack : 360 + maxFront2);
        ret[9] = 0;
        ret[10] = (inverted ? 360 - maxFront2 : 180 - maxBack);
        ret[11] = 0;
        ret[12] = (inverted ? 180 + maxFront : 360 + maxBack2);
        ret[13] = 0;
        ret[14] = (inverted ? 360 - maxBack2 : 180 - maxFront);
        ret[15] = 0;
        ret[16] = (inverted ? 180 - maxFront : 360 - maxBack2);
        ret[17] = 0;
        ret[18] = (inverted ? 360 + maxBack2 : 180 + maxFront);
        ret[19] = 0;
        for (int i = 0; i < 20; i += 2) {
            while (ret[i] >= 360.0) ret[i] -= 360.0;
        }
        return ret;
    }
};

using namespace std;

int main()
{
    double beta;
    cin >> beta;
    ISS obj;
    cout << obj.getInitialOrientation(beta) << endl;
    cout.flush();

    for (int minute = 0; minute < 92; minute ++) {
       vector<double> data = obj.getStateAtMinute(minute);
       cout << "1" << endl;
       for (int i = 0; i < 20; i ++) {
           cout << data[i] << endl;
       }
       cout.flush();
    }
    return 0;
}

